000026172 - XrcTYPEVIOLATION error when issuing a cross-certificate after selecting Valid Until date

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 22, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000026172
Applies ToRSA Certificate Manager 6.7
Microsoft Windows Server 2003
Microsoft Internet Explorer 5.0
Microsoft Internet Explorer 6.0
IssueXrcTYPEVIOLATION error when issuing a cross-certificate after selecting Valid Until date
Unable to issue cross-certificate and the following error shows up on the browser if Valid Until date option is selected before clicking on "Issue Certificate":

Program Error
req-authorize.xuda: Line 609: [XrcTYPEVIOLATION] parameter type mismatch.
[<Back]
Unable to issue cross-certificate and the following error shows up on the browser if Valid Until date option is selected before clicking on "Issue Certificate":

Program Error
req-authorize.xuda: Line 614: [XrcTYPEVIOLATION] parameter type mismatch.
[<Back]
ResolutionThe following workaround can be used to issue cross-certificates:

Ensure that Build 415 or a higher build has been applied to the RCM 6.7 installation.  When issuing cross-certificates, provide Valid Until "period" (instead of Valid Until date) to match with your intended expiration date on the certificate.
This issue has been fixed in RSA Certificate Manager 6.7 build 422 and in version 6.8. Contact RSA Customer Support to request RCM 6.7 build 422, or upgrade RCM to the latest version.
WorkaroundA PKCS#10 cross-certificate request was submitted through the RSA Certificate Manager (RCM) enrollment server.  RCM administrator opened the cross-certificate request (through the CA Operations workbench on RCM's admin interface), clicked on the radio button to select Valid Until Date (default option is Valid Until period), and then clicked on 'Issue Certificate' button.
NotesCERTMGR-3189
Legacy Article IDa37476

Attachments

    Outcomes